package donate_server

import (
	httpserver "git.gocasts.ir/ebhomengo/niki/delivery/http_server"
	"github.com/labstack/echo/v4"
)

type Server struct {
	Server  httpserver.Server
	Handler Handler
	Router  *echo.Echo
}

func (s Server) Start() {
	s.Handler.RegisterRoutes(s.Router)
}
